package com.ruoyi.project.training.mapper;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.common.domain.DataEntity;
import com.ruoyi.project.training.domain.TByxWorklicense;

import java.util.List;
import java.util.Map;

/**
 * 上岗证一览Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-02
 */
public interface TByxWorklicenseMapper
{
    /**
     * 查询上岗证一览
     *
     * @param id 上岗证一览ID
     * @return 上岗证一览
     */
    public TByxWorklicense selectTByxWorklicenseById(Long id);

    /**
     * 查询上岗证一览
     *
     * @param employeeid 人员员工号
     * @return 上岗证一览
     */
    public TByxWorklicense selectTByxWorklicenseByEmployeeid(String employeeid);

    /**
     * 查询上岗证一览列表
     *
     * @param tByxWorklicense 上岗证一览
     * @return 上岗证一览集合
     */
    @DataScope(deptAlias = "d")
    public List<TByxWorklicense> selectTByxWorklicenseList(TByxWorklicense tByxWorklicense);

    /**
     * 定时任务查询上岗证一览列表
     *
     * @param tByxWorklicense 上岗证一览
     * @return 上岗证一览集合
     */
    public List<TByxWorklicense> selectList(TByxWorklicense tByxWorklicense);

    /**
     * 新增上岗证一览
     *
     * @param tByxWorklicense 上岗证一览
     * @return 结果
     */
    public int insertTByxWorklicense(TByxWorklicense tByxWorklicense);

    /**
     * 修改上岗证一览
     *
     * @param tByxWorklicense 上岗证一览
     * @return 结果
     */
    public int updateTByxWorklicense(TByxWorklicense tByxWorklicense);

    /**
     * 删除上岗证一览
     *
     * @param id 上岗证一览ID
     * @return 结果
     */
    public int deleteTByxWorklicenseById(Long id);

    /**
     * 批量删除上岗证一览
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTByxWorklicenseByIds(Long[] ids);

    DataEntity selectLicenseData(Map param);
}
